%global modname Flask-OAuth
%global srcname flask-oauth

Name:           python-%{srcname}
Version:        0.13
Release:        1%{?dist}
Summary:        Adds OAuth support to Flask

License:        BSD
URL:            http://github.com/mitsuhiko/flask-oauth
Source0:        http://github.com/mitsuhiko/flask-oauth/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
Flask-OAuth is an extension to Flask that allows you to interact with remove
OAuth enabled applications.

%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-oauth2
%{?python_provide:%python_provide python2-%{modname}}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Flask-OAuth is an extension to Flask that allows you to interact with remove
OAuth enabled applications.

Python 2 version.

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-oauth2
%{?python_provide:%python_provide python3-%{modname}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Flask-OAuth is an extension to Flask that allows you to interact with remove
OAuth enabled applications.

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
 
%files -n python2-%{srcname}
%license LICENSE
%doc README
%{python2_sitelib}/Flask_OAuth*.egg-info/
%{python2_sitelib}/flask_oauth.py*

%files -n python3-%{srcname}
%license LICENSE
%doc README
%{python3_sitelib}/Flask_OAuth*.egg-info/
%{python3_sitelib}/flask_oauth.py
%{python3_sitelib}/__pycache__/flask_oauth.*

%changelog
* Sun Feb 07 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-1
- Update to 0.13
- Make compatible with new guidelines

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 11 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.12-1
- Updated latest source

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 22 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.9-1
- Initial RPM release
